
Foreman - Support #22333

Gets WebSock error: [object Event]  while configuring vmware console in foreman 

01/19/2018 01:53 PM - rohan gadalkar

Status: New   

Priority: Normal   

Assignee:    

Category: Compute resources - VMware   

Target version:    

Triaged:  Found in Releases:  

Fixed in Releases:    

Description

1) selinux is disabled

2) webssl certificates are mapped as required like this# Websockets

:websockets_encrypt: on

:websockets_ssl_key: /etc/pki/tls/private/xyz.com.key

:websockets_ssl_cert: /etc/pki/tls/certs/xyz.com.crt

3)vnc file on vmware host is configured to open the required port for communication.

but we have not installed net-tools on vmware host machine . Is it causing us this error ??

Subtasks:

History

#1 - 01/19/2018 01:58 PM - rohan gadalkar

rohan gadalkar wrote:

1) selinux is disabled

2) webssl certificates are mapped as required like this# Websockets

:websockets_encrypt: on

:websockets_ssl_key: /etc/pki/tls/private/xyz.com.key

:websockets_ssl_cert: /etc/pki/tls/certs/xyz.com.crt

3)vnc file on vmware host is configured to open the required port for communication.

4) we have done settings in firefox and chrome browser as well for viewing encrypted content.

 but we have not installed net-tools on vmware host machine because of security reasons. Is it causing us this error ??

#2 - 01/22/2018 07:55 AM - Lukas Zapletal

- Tracker changed from Feature to Support

- Category changed from Web Interface to Compute resources - VMware

Foreman picks random VNC port from range 5901-5965 you need to open all these ports on your hypervisor, make sure they all work. Then you

need to have 5910-5930 range opened on the Foreman server, that is also picked randomly.

We also introduced VMRC protocol for VMWare in upstream, will be part of the next release.
